Opened 11 years ago

Closed 11 years ago

#4159 closed Bug report (rejected)

removing directories doesn't work in DOS-Mode

Reported by: roadrunner Owned by:
Priority: normal Component: FileZilla Client
Keywords: rmd remove folder directory DOS Cc:
Component version: Operating system type: Windows
Operating system version: XP

Description

If the servertype is fixed to DOS Mode, then it's possible to create directories, but the removing of the same, empty directory fails. I don't even get an error.
The reason: command RMD is missing

I also installed filezilla server and tested it there. same problem here. If I set the servertype to standard, it works (so the rights are set correctly), but if I set servertype to DOS the command RMD is missing and the directory will not be deleted.

Change History (8)

comment:1 Changed 11 years ago by Tim Kosse

Status: newmoreinfo

Got logs?

comment:2 in reply to:  1 Changed 11 years ago by roadrunner

Status: moreinfonew

Replying to codesquid:

Got logs?

no problem:
(at 09:01:20 I created newdir, at 09:01:33 I attempted to delete it):

2009-01-13 09:01:14 3796 0 Status: Connecting to 172.16.5.170:21...
2009-01-13 09:01:14 3796 0 Status: Connection established, waiting for welcome message...
2009-01-13 09:01:15 3796 0 Response: 220 SKALAR FTP SERVER READY
2009-01-13 09:01:15 3796 0 Command: USER Administrator
2009-01-13 09:01:15 3796 0 Response: 331 User name okay, need password.
2009-01-13 09:01:15 3796 0 Command: PASS *
2009-01-13 09:01:15 3796 0 Response: 230 User logged in, proceed.
2009-01-13 09:01:15 3796 0 Command: SYST
2009-01-13 09:01:15 3796 0 Response: 215 RTIP Type: 2.4
2009-01-13 09:01:15 3796 0 Command: FEAT
2009-01-13 09:01:15 3796 0 Response: 502 Command not implemented.
2009-01-13 09:01:15 3796 0 Status: Connected
2009-01-13 09:01:15 3796 0 Status: Retrieving directory listing...
2009-01-13 09:01:15 3796 0 Command: PWD
2009-01-13 09:01:15 3796 0 Response: 257 "D:".
2009-01-13 09:01:15 3796 0 Command: TYPE I
2009-01-13 09:01:15 3796 0 Response: 200 Command okay.
2009-01-13 09:01:15 3796 0 Command: PASV
2009-01-13 09:01:15 3796 0 Response: 227 Entering Passive Mode (172,16,5,170,4,55)
2009-01-13 09:01:15 3796 0 Command: LIST
2009-01-13 09:01:16 3796 0 Response: 150 File status okay; about to open data connection.
2009-01-13 09:01:16 3796 0 Response: 226 Closing data connection. Transfer succeeded
2009-01-13 09:01:16 3796 0 Status: Directory listing successful
2009-01-13 09:01:20 3796 0 Status: Creating directory 'D:\newdir'...
2009-01-13 09:01:20 3796 0 Command: MKD newdir
2009-01-13 09:01:20 3796 0 Response: 257 "newdir" created.
2009-01-13 09:01:33 3796 0 Status: Retrieving directory listing...
2009-01-13 09:01:33 3796 0 Command: CWD newdir
2009-01-13 09:01:33 3796 0 Response: 250 Requested file action okay, completed.
2009-01-13 09:01:33 3796 0 Command: PWD
2009-01-13 09:01:33 3796 0 Response: 257 "D:/newdir".
2009-01-13 09:01:33 3796 0 Command: PASV
2009-01-13 09:01:33 3796 0 Response: 227 Entering Passive Mode (172,16,5,170,4,58)
2009-01-13 09:01:33 3796 0 Command: LIST
2009-01-13 09:01:33 3796 0 Response: 150 File status okay; about to open data connection.
2009-01-13 09:01:34 3796 0 Response: 226 Closing data connection. Transfer succeeded
2009-01-13 09:01:34 3796 0 Status: Directory listing successful
2009-01-13 09:01:34 3796 0 Status: Retrieving directory listing...
2009-01-13 09:01:34 3796 0 Command: CWD D:\
2009-01-13 09:01:34 3796 0 Response: 250 Requested file action okay, completed.
2009-01-13 09:01:34 3796 0 Command: PWD
2009-01-13 09:01:34 3796 0 Response: 257 "D:".
2009-01-13 09:01:34 3796 0 Command: PASV
2009-01-13 09:01:34 3796 0 Response: 227 Entering Passive Mode (172,16,5,170,4,61)
2009-01-13 09:01:34 3796 0 Command: LIST
2009-01-13 09:01:35 3796 0 Response: 150 File status okay; about to open data connection.
2009-01-13 09:01:35 3796 0 Response: 226 Closing data connection. Transfer succeeded
2009-01-13 09:01:35 3796 0 Status: Directory listing successful
2009-01-13 09:01:39 3796 0 Status: Retrieving directory listing...
2009-01-13 09:01:39 3796 0 Command: PASV
2009-01-13 09:01:39 3796 0 Response: 227 Entering Passive Mode (172,16,5,170,4,64)
2009-01-13 09:01:39 3796 0 Command: LIST
2009-01-13 09:01:40 3796 0 Response: 150 File status okay; about to open data connection.
2009-01-13 09:01:40 3796 0 Response: 226 Closing data connection. Transfer succeeded
2009-01-13 09:01:40 3796 0 Status: Directory listing successful

by the way, if I enter a custom command "rmd newdir" it works:
2009-01-13 09:01:54 3796 0 Command: rmd newdir
2009-01-13 09:01:54 3796 0 Response: 250 Requested file action okay, completed.
2009-01-13 09:01:57 3796 0 Status: Retrieving directory listing...
2009-01-13 09:01:57 3796 0 Command: CWD D:\
2009-01-13 09:01:57 3796 0 Response: 250 Requested file action okay, completed.
2009-01-13 09:01:57 3796 0 Command: PASV
2009-01-13 09:01:57 3796 0 Response: 227 Entering Passive Mode (172,16,5,170,4,67)
2009-01-13 09:01:57 3796 0 Command: LIST
2009-01-13 09:01:57 3796 0 Response: 150 File status okay; about to open data connection.
2009-01-13 09:01:58 3796 0 Response: 226 Closing data connection. Transfer succeeded
2009-01-13 09:01:58 3796 0 Status: Directory listing successful
2009-01-13 09:02:02 3796 0 Status: Disconnected from server

comment:3 Changed 11 years ago by Tim Kosse

Status: newmoreinfo

Which version of FileZilla are you using?

How exactly are you trying to delete the directory?

comment:4 in reply to:  3 Changed 11 years ago by roadrunner

Status: moreinfonew

Replying to codesquid:

Which version of FileZilla are you using?

The newest: 3.2.0
It also occurred in 3.1.6. A friend just told me that he encountered the same problem in an earlier version 2.xx.

How exactly are you trying to delete the directory?

by pressing del or selecting 'delete' in context menu.
Filezilla ask me if I'm sure to delete all selected files and dirs. After pressing yes, nothing happens, except the listing update. When I set servertype to default (autodetect), everything works fine. But not in DOS-Mode.

comment:5 Changed 11 years ago by Tim Kosse

Status: newmoreinfo

Please enable "Show raw directory listing" and post another log.

comment:6 Changed 11 years ago by Tim Kosse

Also set debug level to 3.

comment:7 Changed 11 years ago by roadrunner

Status: moreinfonew

this is a connection to filezilla-server 0.9.29. At the end you can find its logging.
log: 16:22:03 dir create, 16:22:21 dir delete, 16:22:27 manual listing update

2009-01-16 16:21:57 3904 0 Status: Connecting to 172.16.4.91:21...
2009-01-16 16:21:57 3904 0 Status: Connection established, waiting for welcome message...
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::OnReceive()
2009-01-16 16:21:57 3904 0 Response: 220-FileZilla Server version 0.9.29 beta
2009-01-16 16:21:57 3904 0 Response: 220-written by Tim Kosse (Tim.Kosse@…)
2009-01-16 16:21:57 3904 0 Response: 220 Please visit http://sourceforge.net/projects/filezilla/
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:21:57 3904 0 Command: USER Skalar
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::OnReceive()
2009-01-16 16:21:57 3904 0 Response: 331 Password required for skalar
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:21:57 3904 0 Command: PASS
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::OnReceive()
2009-01-16 16:21:57 3904 0 Response: 230 Logged on
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:21:57 3904 0 Command: SYST
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::OnReceive()
2009-01-16 16:21:57 3904 0 Response: 215 UNIX emulated by FileZilla
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:21:57 3904 0 Command: FEAT
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::OnReceive()
2009-01-16 16:21:57 3904 0 Response: 211-Features:
2009-01-16 16:21:57 3904 0 Response: MDTM
2009-01-16 16:21:57 3904 0 Response: REST STREAM
2009-01-16 16:21:57 3904 0 Response: SIZE
2009-01-16 16:21:57 3904 0 Response: MLST type*;size*;modify*;
2009-01-16 16:21:57 3904 0 Response: MLSD
2009-01-16 16:21:57 3904 0 Response: UTF8
2009-01-16 16:21:57 3904 0 Response: CLNT
2009-01-16 16:21:57 3904 0 Response: MFMT
2009-01-16 16:21:57 3904 0 Response: 211 End
2009-01-16 16:21:57 3904 0 Status: Connected
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::ResetOperation(0)
2009-01-16 16:21:57 3904 0 Trace: CControlSocket::ResetOperation(0)
2009-01-16 16:21:57 3904 0 Status: Retrieving directory listing...
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::ChangeDirSend()
2009-01-16 16:21:57 3904 0 Command: PWD
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::OnReceive()
2009-01-16 16:21:57 3904 0 Response: 257 "/" is current directory.
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::ResetOperation(0)
2009-01-16 16:21:57 3904 0 Trace: CControlSocket::ResetOperation(0)
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::ParseSubcommandResult(0)
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::ListSubcommandResult()
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::TransferSend()
2009-01-16 16:21:57 3904 0 Command: TYPE I
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::OnReceive()
2009-01-16 16:21:57 3904 0 Response: 200 Type set to I
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::TransferParseResponse()
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::TransferSend()
2009-01-16 16:21:57 3904 0 Command: PORT 172,16,4,91,10,74
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::OnReceive()
2009-01-16 16:21:57 3904 0 Response: 200 Port command successful
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::TransferParseResponse()
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::TransferSend()
2009-01-16 16:21:57 3904 0 Command: LIST
2009-01-16 16:21:57 3904 0 Trace: CTransferSocket::OnAccept(0)
2009-01-16 16:21:57 3904 0 Trace: CTransferSocket::OnConnect
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::OnReceive()
2009-01-16 16:21:57 3904 0 Response: 150 Opening data channel for directory list.
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::TransferParseResponse()
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::TransferSend()
2009-01-16 16:21:57 3904 0 Response: 226 Transfer OK
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::TransferParseResponse()
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::TransferSend()
2009-01-16 16:21:57 3904 0 Listing: -rw-r--r-- 1 ftp ftp 498 Jan 13 14:54 Wireless.abl
2009-01-16 16:21:57 3904 0 Listing: -rw-r--r-- 1 ftp ftp 0 Nov 04 2008 _start.txt
2009-01-16 16:21:57 3904 0 Listing: -rw-r--r-- 1 ftp ftp 0 Nov 04 2008 _start.wireless
2009-01-16 16:21:57 3904 0 Trace: CTransferSocket::TransferEnd(1)
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::TransferEnd()
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::ResetOperation(0)
2009-01-16 16:21:57 3904 0 Trace: CControlSocket::ResetOperation(0)
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::ParseSubcommandResult(0)
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::ListSubcommandResult()
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::ListSend()
2009-01-16 16:21:57 3904 0 Status: Calculating timezone offset of server...
2009-01-16 16:21:57 3904 0 Command: MDTM Wireless.abl
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::OnReceive()
2009-01-16 16:21:57 3904 0 Response: 213 20090113135436
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::ListParseResponse()
2009-01-16 16:21:57 3904 0 Status: Timezone offsets: Server: 3600 seconds. Local: 3600 seconds. Difference: 0 seconds.
2009-01-16 16:21:57 3904 0 Trace: CFtpControlSocket::ResetOperation(0)
2009-01-16 16:21:57 3904 0 Trace: CControlSocket::ResetOperation(0)
2009-01-16 16:21:57 3904 0 Status: Directory listing successful
2009-01-16 16:22:03 3904 0 Status: Creating directory '/\newdir'...
2009-01-16 16:22:03 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:22:03 3904 0 Trace: CFtpControlSocket::MkdirSend
2009-01-16 16:22:03 3904 0 Command: MKD newdir
2009-01-16 16:22:03 3904 0 Trace: CFtpControlSocket::OnReceive()
2009-01-16 16:22:03 3904 0 Response: 257 Directory created successfully
2009-01-16 16:22:03 3904 0 Trace: CFtpControlSocket::MkdirParseResonse
2009-01-16 16:22:03 3904 0 Trace: CFtpControlSocket::ResetOperation(0)
2009-01-16 16:22:03 3904 0 Trace: CControlSocket::ResetOperation(0)
2009-01-16 16:22:21 3904 0 Status: Retrieving directory listing...
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::ChangeDirSend()
2009-01-16 16:22:21 3904 0 Command: CWD newdir
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::OnReceive()
2009-01-16 16:22:21 3904 0 Response: 250 CWD successful. "/newdir" is current directory.
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::ChangeDirSend()
2009-01-16 16:22:21 3904 0 Command: PWD
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::OnReceive()
2009-01-16 16:22:21 3904 0 Response: 257 "/newdir" is current directory.
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::ResetOperation(0)
2009-01-16 16:22:21 3904 0 Trace: CControlSocket::ResetOperation(0)
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::ParseSubcommandResult(0)
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::ListSubcommandResult()
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::TransferSend()
2009-01-16 16:22:21 3904 0 Command: PORT 172,16,4,91,10,77
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::OnReceive()
2009-01-16 16:22:21 3904 0 Response: 200 Port command successful
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::TransferParseResponse()
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::TransferSend()
2009-01-16 16:22:21 3904 0 Command: LIST
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::OnReceive()
2009-01-16 16:22:21 3904 0 Response: 150 Opening data channel for directory list.
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::TransferParseResponse()
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::TransferSend()
2009-01-16 16:22:21 3904 0 Response: 226 Transfer OK
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::TransferParseResponse()
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::TransferSend()
2009-01-16 16:22:21 3904 0 Trace: CTransferSocket::OnAccept(0)
2009-01-16 16:22:21 3904 0 Trace: CTransferSocket::OnConnect
2009-01-16 16:22:21 3904 0 Trace: CTransferSocket::TransferEnd(1)
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::TransferEnd()
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::ResetOperation(0)
2009-01-16 16:22:21 3904 0 Trace: CControlSocket::ResetOperation(0)
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::ParseSubcommandResult(0)
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::ListSubcommandResult()
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::ResetOperation(0)
2009-01-16 16:22:21 3904 0 Trace: CControlSocket::ResetOperation(0)
2009-01-16 16:22:21 3904 0 Status: Directory listing successful
2009-01-16 16:22:21 3904 0 Status: Retrieving directory listing...
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::ChangeDirSend()
2009-01-16 16:22:21 3904 0 Command: CWD /\
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::OnReceive()
2009-01-16 16:22:21 3904 0 Response: 250 CWD successful. "/" is current directory.
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::ChangeDirSend()
2009-01-16 16:22:21 3904 0 Command: PWD
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::OnReceive()
2009-01-16 16:22:21 3904 0 Response: 257 "/" is current directory.
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::ResetOperation(0)
2009-01-16 16:22:21 3904 0 Trace: CControlSocket::ResetOperation(0)
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::ParseSubcommandResult(0)
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::ListSubcommandResult()
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::TransferSend()
2009-01-16 16:22:21 3904 0 Command: PORT 172,16,4,91,10,78
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::OnReceive()
2009-01-16 16:22:21 3904 0 Response: 200 Port command successful
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::TransferParseResponse()
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::TransferSend()
2009-01-16 16:22:21 3904 0 Command: LIST
2009-01-16 16:22:21 3904 0 Trace: CTransferSocket::OnAccept(0)
2009-01-16 16:22:21 3904 0 Trace: CTransferSocket::OnConnect
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::OnReceive()
2009-01-16 16:22:21 3904 0 Response: 150 Opening data channel for directory list.
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::TransferParseResponse()
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::TransferSend()
2009-01-16 16:22:21 3904 0 Response: 226 Transfer OK
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::TransferParseResponse()
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::TransferSend()
2009-01-16 16:22:21 3904 0 Trace: CTransferSocket::OnClose(0)
2009-01-16 16:22:21 3904 0 Listing: drwxr-xr-x 1 ftp ftp 0 Jan 16 16:22 newdir
2009-01-16 16:22:21 3904 0 Listing: -rw-r--r-- 1 ftp ftp 498 Jan 13 14:54 Wireless.abl
2009-01-16 16:22:21 3904 0 Listing: -rw-r--r-- 1 ftp ftp 0 Nov 04 2008 _start.txt
2009-01-16 16:22:21 3904 0 Listing: -rw-r--r-- 1 ftp ftp 0 Nov 04 2008 _start.wireless
2009-01-16 16:22:21 3904 0 Trace: CTransferSocket::TransferEnd(1)
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::TransferEnd()
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::ResetOperation(0)
2009-01-16 16:22:21 3904 0 Trace: CControlSocket::ResetOperation(0)
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::ParseSubcommandResult(0)
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::ListSubcommandResult()
2009-01-16 16:22:21 3904 0 Trace: CFtpControlSocket::ResetOperation(0)
2009-01-16 16:22:21 3904 0 Trace: CControlSocket::ResetOperation(0)
2009-01-16 16:22:21 3904 0 Status: Directory listing successful
2009-01-16 16:22:27 3904 0 Status: Retrieving directory listing...
2009-01-16 16:22:27 3904 0 Trace: CFtpControlSocket::ParseSubcommandResult(0)
2009-01-16 16:22:27 3904 0 Trace: CFtpControlSocket::ListSubcommandResult()
2009-01-16 16:22:27 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:22:27 3904 0 Trace: CFtpControlSocket::TransferSend()
2009-01-16 16:22:27 3904 0 Command: PORT 172,16,4,91,10,81
2009-01-16 16:22:27 3904 0 Trace: CFtpControlSocket::OnReceive()
2009-01-16 16:22:27 3904 0 Response: 200 Port command successful
2009-01-16 16:22:27 3904 0 Trace: CFtpControlSocket::TransferParseResponse()
2009-01-16 16:22:27 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:22:27 3904 0 Trace: CFtpControlSocket::TransferSend()
2009-01-16 16:22:27 3904 0 Command: LIST
2009-01-16 16:22:27 3904 0 Trace: CFtpControlSocket::OnReceive()
2009-01-16 16:22:27 3904 0 Response: 150 Opening data channel for directory list.
2009-01-16 16:22:27 3904 0 Trace: CFtpControlSocket::TransferParseResponse()
2009-01-16 16:22:27 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:22:27 3904 0 Trace: CFtpControlSocket::TransferSend()
2009-01-16 16:22:27 3904 0 Response: 226 Transfer OK
2009-01-16 16:22:27 3904 0 Trace: CFtpControlSocket::TransferParseResponse()
2009-01-16 16:22:27 3904 0 Trace: CFtpControlSocket::SendNextCommand()
2009-01-16 16:22:27 3904 0 Trace: CFtpControlSocket::TransferSend()
2009-01-16 16:22:27 3904 0 Trace: CTransferSocket::OnAccept(0)
2009-01-16 16:22:27 3904 0 Trace: CTransferSocket::OnConnect
2009-01-16 16:22:27 3904 0 Listing: drwxr-xr-x 1 ftp ftp 0 Jan 16 16:22 newdir
2009-01-16 16:22:27 3904 0 Listing: -rw-r--r-- 1 ftp ftp 498 Jan 13 14:54 Wireless.abl
2009-01-16 16:22:27 3904 0 Listing: -rw-r--r-- 1 ftp ftp 0 Nov 04 2008 _start.txt
2009-01-16 16:22:27 3904 0 Listing: -rw-r--r-- 1 ftp ftp 0 Nov 04 2008 _start.wireless
2009-01-16 16:22:27 3904 0 Trace: CTransferSocket::TransferEnd(1)
2009-01-16 16:22:27 3904 0 Trace: CFtpControlSocket::TransferEnd()
2009-01-16 16:22:27 3904 0 Trace: CFtpControlSocket::ResetOperation(0)
2009-01-16 16:22:27 3904 0 Trace: CControlSocket::ResetOperation(0)
2009-01-16 16:22:27 3904 0 Trace: CFtpControlSocket::ParseSubcommandResult(0)
2009-01-16 16:22:27 3904 0 Trace: CFtpControlSocket::ListSubcommandResult()
2009-01-16 16:22:27 3904 0 Trace: CFtpControlSocket::ResetOperation(0)
2009-01-16 16:22:27 3904 0 Trace: CControlSocket::ResetOperation(0)
2009-01-16 16:22:27 3904 0 Status: Directory listing successful
2009-01-16 16:22:30 3904 0 Status: Disconnected from server
2009-01-16 16:22:30 3904 0 Trace: CFtpControlSocket::ResetOperation(66)
2009-01-16 16:22:30 3904 0 Trace: CControlSocket::ResetOperation(66)


ftp-server-log:
(000016) 16.01.2009 16:21:57 - (not logged in) (172.16.4.91)> Connected, sending welcome message...
(000016) 16.01.2009 16:21:57 - (not logged in) (172.16.4.91)> 220-FileZilla Server version 0.9.29 beta
(000016) 16.01.2009 16:21:57 - (not logged in) (172.16.4.91)> 220-written by Tim Kosse (Tim.Kosse@…)
(000016) 16.01.2009 16:21:57 - (not logged in) (172.16.4.91)> 220 Please visit http://sourceforge.net/projects/filezilla/
(000016) 16.01.2009 16:21:57 - (not logged in) (172.16.4.91)> USER Skalar
(000016) 16.01.2009 16:21:57 - (not logged in) (172.16.4.91)> 331 Password required for skalar
(000016) 16.01.2009 16:21:57 - (not logged in) (172.16.4.91)> PASS
(000016) 16.01.2009 16:21:57 - skalar (172.16.4.91)> 230 Logged on
(000016) 16.01.2009 16:21:57 - skalar (172.16.4.91)> SYST
(000016) 16.01.2009 16:21:57 - skalar (172.16.4.91)> 215 UNIX emulated by FileZilla
(000016) 16.01.2009 16:21:57 - skalar (172.16.4.91)> FEAT
(000016) 16.01.2009 16:21:57 - skalar (172.16.4.91)> 211-Features:
(000016) 16.01.2009 16:21:57 - skalar (172.16.4.91)> MDTM
(000016) 16.01.2009 16:21:57 - skalar (172.16.4.91)> REST STREAM
(000016) 16.01.2009 16:21:57 - skalar (172.16.4.91)> SIZE
(000016) 16.01.2009 16:21:57 - skalar (172.16.4.91)> MLST type*;size*;modify*;
(000016) 16.01.2009 16:21:57 - skalar (172.16.4.91)> MLSD
(000016) 16.01.2009 16:21:57 - skalar (172.16.4.91)> UTF8
(000016) 16.01.2009 16:21:57 - skalar (172.16.4.91)> CLNT
(000016) 16.01.2009 16:21:57 - skalar (172.16.4.91)> MFMT
(000016) 16.01.2009 16:21:57 - skalar (172.16.4.91)> 211 End
(000016) 16.01.2009 16:21:57 - skalar (172.16.4.91)> PWD
(000016) 16.01.2009 16:21:57 - skalar (172.16.4.91)> 257 "/" is current directory.
(000016) 16.01.2009 16:21:57 - skalar (172.16.4.91)> TYPE I
(000016) 16.01.2009 16:21:57 - skalar (172.16.4.91)> 200 Type set to I
(000016) 16.01.2009 16:21:57 - skalar (172.16.4.91)> PORT 172,16,4,91,10,74
(000016) 16.01.2009 16:21:57 - skalar (172.16.4.91)> 200 Port command successful
(000016) 16.01.2009 16:21:57 - skalar (172.16.4.91)> LIST
(000016) 16.01.2009 16:21:57 - skalar (172.16.4.91)> 150 Opening data channel for directory list.
(000016) 16.01.2009 16:21:57 - skalar (172.16.4.91)> 226 Transfer OK
(000016) 16.01.2009 16:21:57 - skalar (172.16.4.91)> MDTM Wireless.abl
(000016) 16.01.2009 16:21:57 - skalar (172.16.4.91)> 213 20090113135436
(000016) 16.01.2009 16:22:03 - skalar (172.16.4.91)> MKD newdir
(000016) 16.01.2009 16:22:03 - skalar (172.16.4.91)> 257 Directory created successfully
(000016) 16.01.2009 16:22:21 - skalar (172.16.4.91)> CWD newdir
(000016) 16.01.2009 16:22:21 - skalar (172.16.4.91)> 250 CWD successful. "/newdir" is current directory.
(000016) 16.01.2009 16:22:21 - skalar (172.16.4.91)> PWD
(000016) 16.01.2009 16:22:21 - skalar (172.16.4.91)> 257 "/newdir" is current directory.
(000016) 16.01.2009 16:22:21 - skalar (172.16.4.91)> PORT 172,16,4,91,10,77
(000016) 16.01.2009 16:22:21 - skalar (172.16.4.91)> 200 Port command successful
(000016) 16.01.2009 16:22:21 - skalar (172.16.4.91)> LIST
(000016) 16.01.2009 16:22:21 - skalar (172.16.4.91)> 150 Opening data channel for directory list.
(000016) 16.01.2009 16:22:21 - skalar (172.16.4.91)> 226 Transfer OK
(000016) 16.01.2009 16:22:21 - skalar (172.16.4.91)> CWD /\
(000016) 16.01.2009 16:22:21 - skalar (172.16.4.91)> 250 CWD successful. "/" is current directory.
(000016) 16.01.2009 16:22:21 - skalar (172.16.4.91)> PWD
(000016) 16.01.2009 16:22:21 - skalar (172.16.4.91)> 257 "/" is current directory.
(000016) 16.01.2009 16:22:21 - skalar (172.16.4.91)> PORT 172,16,4,91,10,78
(000016) 16.01.2009 16:22:21 - skalar (172.16.4.91)> 200 Port command successful
(000016) 16.01.2009 16:22:21 - skalar (172.16.4.91)> LIST
(000016) 16.01.2009 16:22:21 - skalar (172.16.4.91)> 150 Opening data channel for directory list.
(000016) 16.01.2009 16:22:21 - skalar (172.16.4.91)> 226 Transfer OK
(000016) 16.01.2009 16:22:27 - skalar (172.16.4.91)> PORT 172,16,4,91,10,81
(000016) 16.01.2009 16:22:27 - skalar (172.16.4.91)> 200 Port command successful
(000016) 16.01.2009 16:22:27 - skalar (172.16.4.91)> LIST
(000016) 16.01.2009 16:22:27 - skalar (172.16.4.91)> 150 Opening data channel for directory list.
(000016) 16.01.2009 16:22:27 - skalar (172.16.4.91)> 226 Transfer OK
(000016) 16.01.2009 16:22:30 - skalar (172.16.4.91)> disconnected.

comment:8 Changed 11 years ago by Tim Kosse

Resolution: rejected
Status: newclosed

You cannot use the servertype "DOS" with FileZilla Server. FileZilla Server emulates a superior UNIX system.

Note: See TracTickets for help on using tickets.